Create note

This request creates a note on a line of credit account.

   Click here to learn more about this request

Notes are a servicing tool that can log important information within an account, such as borrower interactions. When a note is created, it's associated with an account—in this context, a line of credit account.

There are two types of notes: NOTICE and STANDARD. Notices display immediately in the UI when a loan is opened; standard notes display within the Servicing tab.

For an example of how notes work within the UI, take a look at our Note types, management, and search article.

Database

For information regarding note database tables, see the following articles:

Database – Notes Entity (note_entity)

Database – Note Category Info (note_category_entity)

{
    "parentId": 52,
    "parentType": "Entity.LineOfCredit",
    "type": "STANDARD",
    "categoryId": 3,
    "subject": "Note Title",
    "body": "<p><strong>This is the body of the note.</strong></p>\n<p>You can use HTML to format text here.</p>",
    "expirationDate": null
}
Body Params
int32
required

The ID of the entity with which the note is associated. In this instance, this is the ID of the line of credit account.

string
enum
required

The type of the entity with which the note is associated.

Allowed:
string
enum

Determines the type of the note.
> A STANDARD note displays in the Servicing tab.
> A NOTICE note displays on the line of credit summary page.

Allowed:
int32
required

The ID of the category in which the note is logged.
> Note categories are customizable organization labels. To create and edit note categories, navigate to Settings > Loan > Labeling > Note Categories.

string
required

The subject line of the note.
> Limited to 100 characters.

string
required

The body of the note.

date

Optional field that sets an expiration date for a NOTICE TYPE NOTE.
This only applies to NOTICE type notes.
> Formatted as YYYY-MM-DD.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json